Package io.dapr.client.domain

# Class StateOptions.StateOptionDurationDeserializer

java.lang.Object
com.fasterxml.jackson.databind.JsonDeserializer<T>
com.fasterxml.jackson.databind.deser.std.StdDeserializer<java.time.Duration>
io.dapr.client.domain.StateOptions.StateOptionDurationDeserializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.deser.NullValueProvider`, `java.io.Serializable`

Enclosing class:
  StateOptions

    public static class StateOptions.StateOptionDurationDeserializer
    extends com.fasterxml.jackson.databind.deser.std.StdDeserializer<java.time.Duration>

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `com.fasterxml.jackson.databind.JsonDeserializer.None`

- ## Field Summary

  ### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

  `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StateOptionDurationDeserializer​(java.lang.Class<?> vc)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.time.Duration` | `deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)` |

  ### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

  `_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, deserializeWithType, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

  `deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StateOptionDurationDeserializer

    public StateOptionDurationDeserializer​(java.lang.Class<?> vc)

- ## Method Details

  - ### deserialize

    public java.time.Duration deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext) throws java.io.IOException
    Specified by:
      `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<java.time.Duration>`
    Throws:
      `java.io.IOException`